Subject: Re: [PATCH V2] vhost: do not enable VHOST_MENU by default

From: "Michael S. Tsirkin" <[email-masked]>
Date: Fri, 17 Apr 2020 02:33:43 -0400

On Fri, Apr 17, 2020 at 11:12:14AM +0800, Jason Wang wrote:
> 
> On 2020/4/17 上午6:55, Michael S. Tsirkin wrote:
> > On Wed, Apr 15, 2020 at 10:43:56AM +0800, Jason Wang wrote:
> > > We try to keep the defconfig untouched after decoupling CONFIG_VHOST
> > > out of CONFIG_VIRTUALIZATION in commit 20c384f1ea1a
> > > ("vhost: refine vhost and vringh kconfig") by enabling VHOST_MENU by
> > > default. Then the defconfigs can keep enabling CONFIG_VHOST_NET
> > > without the caring of CONFIG_VHOST.
> > > 
> > > But this will leave a "CONFIG_VHOST_MENU=y" in all defconfigs and even
> > > for the ones that doesn't want vhost. So it actually shifts the
> > > burdens to the maintainers of all other to add "CONFIG_VHOST_MENU is
> > > not set". So this patch tries to enable CONFIG_VHOST explicitly in
> > > defconfigs that enables CONFIG_VHOST_NET and CONFIG_VHOST_VSOCK.
> > > 
> > > Acked-by: Christian Borntraeger<[email-masked]>  (s390)
> > > Acked-by: Michael Ellerman<[email-masked]>  (powerpc)
> > > Cc: Thomas Bogendoerfer<[email-masked]>
> > > Cc: Benjamin Herrenschmidt<[email-masked]>
> > > Cc: Paul Mackerras<[email-masked]>
> > > Cc: Michael Ellerman<[email-masked]>
> > > Cc: Heiko Carstens<[email-masked]>
> > > Cc: Vasily Gorbik<[email-masked]>
> > > Cc: Christian Borntraeger<[email-masked]>
> > > Reported-by: Geert Uytterhoeven<[email-masked]>
> > > Signed-off-by: Jason Wang<[email-masked]>
> > I rebased this on top of OABI fix since that
> > seems more orgent to fix.
> > Pushed to my vhost branch pls take a look and
> > if possible test.
> > Thanks!
> 
> 
> I test this patch by generating the defconfigs that wants vhost_net or
> vhost_vsock. All looks fine.
> 
> But having CONFIG_VHOST_DPN=y may end up with the similar situation that
> this patch want to address.
> Maybe we can let CONFIG_VHOST depends on !ARM || AEABI then add another
> menuconfig for VHOST_RING and do something similar?
> 
> Thanks

Sorry I don't understand. After this patch CONFIG_VHOST_DPN is just
an internal variable for the OABI fix. I kept it separate
so it's easy to revert for 5.8. Yes we could squash it into
VHOST directly but I don't see how that changes logic at all.

-- 
MST